2019-11-20 09:09 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002790FSSCPlauncherpublic2014-07-02 12:09
Reporterjg18 
Assigned Tochief1983 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.16 
Target Version3.7.2Fixed in Version 
Summary0002790: Easy flags (flag sets for launcher) don't reflect current state of flags
DescriptionFor example, flag set "all features on" doesn't include recent features like soft particles. I don't have the expertise to know what belongs under "high memory features".
Additional InformationWould like to see this fixed in next release (3.7?), since it should be pretty easy.
TagsNo tags attached.
Attached Files
  • diff file icon cmdline_cleanup.diff (11,121 bytes) 2014-07-01 12:54 -
    Index: code/cmdline/cmdline.cpp
    ===================================================================
    --- code/cmdline/cmdline.cpp	(revision 10865)
    +++ code/cmdline/cmdline.cpp	(working copy)
    @@ -129,22 +129,24 @@
     // Please group them by type, ie graphics, gameplay etc, maximum 20 different types
     Flag exe_params[] = 
     {
    -	{ "-nospec",			"Disable specular",							true,	0,					EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-spec", },
    -	{ "-noglow",			"Disable glow maps",						true,	0,					EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-glow", },
    -	{ "-noenv",				"Disable environment maps",					true,	0,					EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-env", },
    +	{ "-nospec",			"Disable specular",							true,	EASY_DEFAULT_MEM,	EASY_MEM_ALL_ON,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-spec", },
    +	{ "-noglow",			"Disable glow maps",						true,	EASY_DEFAULT_MEM,	EASY_MEM_ALL_ON,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-glow", },
    +	{ "-noenv",				"Disable environment maps",					true,	EASY_DEFAULT_MEM,	EASY_MEM_ALL_ON,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-env", },
     	{ "-nomotiondebris",	"Disable motion debris",					true,	EASY_ALL_ON,		EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-nomotiondebris",},
     	{ "-noscalevid",		"Disable scale-to-window for movies",		true,	0,					EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-noscalevid", },
     	{ "-missile_lighting",	"Apply lighting to missiles"	,			true,	EASY_ALL_ON,		EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-missile_lighting", },
    -	{ "-nonormal",			"Disable normal maps",						true,	0,					EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-normal" },
    -	{ "-noheight",			"Disable height/parallax maps",				true,	0,					EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-height" },
    +	{ "-nonormal",			"Disable normal maps",						true,	EASY_DEFAULT_MEM,	EASY_MEM_ALL_ON,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-normal" },
    +	{ "-noheight",			"Disable height/parallax maps",				true,	EASY_DEFAULT_MEM,	EASY_MEM_ALL_ON,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-height" },
     	{ "-3dshockwave",		"Enable 3D shockwaves",						true,	EASY_MEM_ALL_ON,	EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-3dshockwave" },
    -	{ "-post_process",		"Enable post processing",					true,	0,					EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-post_process" },
    -	{ "-soft_particles",	"Enable soft particles",					true,	0,					EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-soft_particles" },
    -	{ "-fxaa",				"Enable FXAA anti-aliasing",				true,	0,					EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-fxaa" },
    -	{ "-nolightshafts",		"Disable lightshafts",						true,	0,					EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-flightshaftsoff"},
    +	{ "-post_process",		"Enable post processing",					true,	EASY_ALL_ON,		EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-post_process" },
    +	{ "-soft_particles",	"Enable soft particles",					true,	EASY_ALL_ON,		EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-soft_particles" },
    +	{ "-fxaa",				"Enable FXAA anti-aliasing",				true,	EASY_MEM_ALL_ON,	EASY_DEFAULT_MEM,	"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-fxaa" },
    +	{ "-nolightshafts",		"Disable lightshafts",						true,	EASY_DEFAULT,		EASY_ALL_ON,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-flightshaftsoff"},
    +	{ "-fb_explosions",		"Enable Framebuffer Shockwaves",			true,	EASY_ALL_ON,		EASY_DEFAULT,		"Graphics",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-fb_explosions", },
     
     	{ "-img2dds",			"Compress non-compressed images",			true,	0,					EASY_DEFAULT,		"Game Speed",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-img2dds", },
     	{ "-no_vsync",			"Disable vertical sync",					true,	0,					EASY_DEFAULT,		"Game Speed",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-no_vsync", },
    +	{ "-no_fps_capping",	"Don't limit frames-per-second",			true,	0,					EASY_DEFAULT,		"Game Speed",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-no_fps_capping", },
     	{ "-cache_bitmaps",		"Cache bitmaps between missions",			true,	0,					EASY_DEFAULT_MEM,	"Game Speed",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-cache_bitmaps", },
     
     	{ "-dualscanlines",		"Add another pair of scanning lines",		true,	0,					EASY_DEFAULT,		"HUD",			"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-dualscanlines", },
    @@ -183,19 +185,18 @@
     	{ "-disable_fbo",		"Disable OpenGL RenderTargets",				true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-disable_fbo", },
     	{ "-disable_pbo",		"Disable OpenGL Pixel Buffer Objects",		true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-disable_pbo", },
     	{ "-no_glsl",			"Disable GLSL (shader) support",			true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-no_glsl", },
    -	{ "-ati_swap",			"Fix colour issues on some ATI cards",		true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://scp.indiegames.us/mantis/view.php?id=1669", },
    +	{ "-ati_swap",			"Fix colour issues on some ATI cards",		true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-ati_swap", },
     	{ "-no_3d_sound",		"Use only 2D/stereo for sound effects",		true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-no_3d_sound", },
     	{ "-disable_glsl_model","Don't use shaders for model rendering",	true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-disable_glsl_model", },
     	{ "-mipmap",			"Enable mipmapping",						true,	0,					EASY_DEFAULT_MEM,	"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-mipmap", },
      #ifndef SCP_UNIX
    -	{ "-disable_di_mouse",	"Don't use DirectInput for mouse control",	true,	0,					EASY_DEFAULT,		"Troubleshoot",	"", },
    +	{ "-disable_di_mouse",	"Don't use DirectInput for mouse control",	true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-disable_di_mouse", },
      #endif
    -	{ "-use_gldrawelements","Don't use glDrawRangeElements",			true,	0,					EASY_DEFAULT,		"Troubleshoot",	"", },
    -	{ "-old_collision",		"Use old collision detection system",		true,	0,					EASY_DEFAULT,		"Troubleshoot",	"", },
    +	{ "-use_gldrawelements","Don't use glDrawRangeElements",			true,	0,					EASY_DEFAULT,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-use_gldrawelements", },
    +	{ "-old_collision",		"Use old collision detection system",		true,	EASY_DEFAULT,		EASY_ALL_ON,		"Troubleshoot",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-old_collision", },
     
     	{ "-ingame_join",		"Allow in-game joining",					true,	0,					EASY_DEFAULT,		"Experimental",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-ingame_join", },
     	{ "-voicer",			"Enable voice recognition",					true,	0,					EASY_DEFAULT,		"Experimental",	"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-voicer", },
    -	{ "-fb_explosions",		"Enable Framebuffer Shockwaves",			true,	0,					EASY_DEFAULT,		"Experimental",	"", },
     
     	{ "-fps",				"Show frames per second on HUD",			false,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-fps", },
     	{ "-pos",				"Show position of camera",					false,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-pos", },
    @@ -206,7 +207,7 @@
     	{ "-stats",				"Show statistics",							true,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-stats", },
     	{ "-coords",			"Show coordinates",							false,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-coords", },
     	{ "-show_mem_usage",	"Show memory usage",						true,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-show_mem_usage", },
    -	{ "-pofspew",			"",											false,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-pofspew", },
    +	{ "-pofspew",			"Generate all ibx files immediately",		false,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-pofspew", },
     	{ "-tablecrcs",			"Dump table CRCs for multi validation",		true,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-tablecrcs", },
     	{ "-missioncrcs",		"Dump mission CRCs for multi validation",	true,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-missioncrcs", },
     	{ "-dis_collisions",	"Disable collisions",						true,	0,					EASY_DEFAULT,		"Dev Tool",		"http://www.hard-light.net/wiki/index.php/Command-Line_Reference#-dis_collisions", },
    @@ -410,6 +411,7 @@
     cmdline_parm no_di_mouse_arg("-disable_di_mouse", "Disable DirectInput mouse code (Windows only)", AT_NONE); // Cmdline_no_di_mouse -- Disables directinput use for mouse control
     cmdline_parm no_drawrangeelements("-use_gldrawelements", NULL, AT_NONE); // Cmdline_drawelements -- Uses glDrawElements instead of glDrawRangeElements
     cmdline_parm keyboard_layout("-keyboard_layout", "Specify keyboard layout (qwertz or azerty)", AT_STRING);
    +cmdline_parm old_collision_system("-old_collision", NULL, AT_NONE); // Cmdline_old_collision_sys
     
     int Cmdline_load_all_weapons = 0;
     int Cmdline_nohtl = 0;
    @@ -429,7 +431,6 @@
     
     // Developer/Testing related
     cmdline_parm start_mission_arg("-start_mission", "Skip mainhall and run this mission", AT_STRING);	// Cmdline_start_mission
    -cmdline_parm old_collision_system("-old_collision", NULL, AT_NONE); // Cmdline_new_collision
     cmdline_parm dis_collisions("-dis_collisions", NULL, AT_NONE);	// Cmdline_dis_collisions
     cmdline_parm dis_weapons("-dis_weapons", NULL, AT_NONE);		// Cmdline_dis_weapons
     cmdline_parm noparseerrors_arg("-noparseerrors", NULL, AT_NONE);	// Cmdline_noparseerrors  -- turns off parsing errors -C
    
    diff file icon cmdline_cleanup.diff (11,121 bytes) 2014-07-01 12:54 +

-Relationships
+Relationships

-Notes

~0015952

Goober5000 (administrator)

Chief1983 can probably compile a list of the features and make sure the easy-flags list is up to date.

~0015966

chief1983 (administrator)

Well, the reference for all command line options is always at http://www.hard-light.net/wiki/index.php/Command-Line_Reference

The launcher should of course always provide an up to date output of available flags as well, in case any are missing from the Wiki.

Also, that wiki page desperately needs an update since many flags behavior was toggled, with new flag names like -nospec, -noglow, etc.

I don't really feel any better qualified than the next person to decide if one feature or another belongs in a particular memory set as I'm not really knowledgeable about the implementation details of any new FSO features, so I'll be unassigning this from me, thanks.

~0015974

chief1983 (administrator)

Ok fine maybe I will do this after all.

~0015976

chief1983 (administrator)

Last edited: 2014-06-30 17:42

View 2 revisions

Ok, I've attached a patch that cleans up the ordering a bit, and toggles the memory and all options features on a bunch of the flags to make a bit more sense. Some flags' behaviors were toggled without adjusting their behavior with regards to the Easy options, these should all be addressed now. I haven't tested it but wanted to get this out in case I run out of time here before I head home. Also, I made a series of updates to the Command Line Reference on the wiki to correspond with some things I saw, please take a look at http://www.hard-light.net/wiki/index.php?title=Command-Line_Reference&action=history as well to see my changes.

One strange thing I noticed is that -no_fps_capping was not documented or in the Launcher checklist, yet it seems to be set up to function in the code, so I've added it to both.

Edit: Uploaded a new version just now that fixes a missing comma. Seems to compile and work now.

~0015989

Goober5000 (administrator)

Ah, very good. :)

MjnMixael, can you test this to see if the flag lists reasonably make sense now?

~0015995

MjnMixael (manager)

The organization looks good.

'All Features On' doesn't include the various HUD and game-play features. Is there a reason for that? (scanning lines, target info, 3D models for selection, etc.) Would those same ones be used in 'High Memory Usage Features'?

I know some of them can be left to personal preference. (And I still really think many of those should be moved the game_settings and out of the commandline...) I'm thinking that new users would expect some of those. Maybe?

~0016001

chief1983 (administrator)

Last edited: 2014-07-01 09:43

View 2 revisions

The options in the HUD and Gameplay sections are much older, and since they were never added to the Easy flags in the past, I didn't see a reason to do it now. Most of the flag changes I've made are to flags that have been added or modified in the last few years, since the last time anyone apparently paid much attention to these. And yes, I also do believe they're more of a preference thing too. I probably should have left 3d shockwaves off with the All Options On since it's a highly debated 'improvement' too, but I think most of the other features that get turned on are universally agreed to be enhancements.

Actually 3d shockwaves isn't one I changed, so I've just left its behavior alone. I don't want to open a can of worms by messing with that particular one.

~0016010

MjnMixael (manager)

Sounds good to me then.

~0016011

chief1983 (administrator)

Fix committed to trunk@10869.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-02-07 19:28 jg18 New Issue
2014-06-29 23:20 Goober5000 Note Added: 0015952
2014-06-29 23:20 Goober5000 Assigned To => chief1983
2014-06-29 23:20 Goober5000 Status new => assigned
2014-06-30 10:20 chief1983 Note Added: 0015966
2014-06-30 10:20 chief1983 Assigned To chief1983 =>
2014-06-30 15:17 chief1983 Assigned To => chief1983
2014-06-30 15:17 chief1983 Note Added: 0015974
2014-06-30 17:12 chief1983 File Added: cmdline_cleanup.diff
2014-06-30 17:14 chief1983 Note Added: 0015976
2014-06-30 17:16 chief1983 Status assigned => code review
2014-06-30 17:16 chief1983 Target Version => 3.7.2
2014-06-30 17:36 chief1983 File Deleted: cmdline_cleanup.diff
2014-06-30 17:42 chief1983 File Added: cmdline_cleanup.diff
2014-06-30 17:42 chief1983 Note Edited: 0015976 View Revisions
2014-06-30 22:07 Goober5000 Note Added: 0015989
2014-06-30 22:07 Goober5000 Assigned To chief1983 => MjnMixael
2014-06-30 23:44 MjnMixael Note Added: 0015995
2014-07-01 09:43 chief1983 Note Added: 0016001
2014-07-01 09:43 chief1983 Note Edited: 0016001 View Revisions
2014-07-01 12:53 chief1983 File Deleted: cmdline_cleanup.diff
2014-07-01 12:54 chief1983 File Added: cmdline_cleanup.diff
2014-07-02 00:23 MjnMixael Note Added: 0016010
2014-07-02 11:52 chief1983 Assigned To MjnMixael => chief1983
2014-07-02 11:52 chief1983 Status code review => assigned
2014-07-02 12:09 chief1983 Changeset attached => fs2open trunk r10869
2014-07-02 12:09 chief1983 Note Added: 0016011
2014-07-02 12:09 chief1983 Status assigned => resolved
2014-07-02 12:09 chief1983 Resolution open => fixed
+Issue History